<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">

		<?php if ( 'post' == get_post_type() ) : ?>
			<?php
				$categories = get_the_category();
				if ( $categories && silver_categorized_blog() ) :
			?>
				<ul class="post-tags-list list-inline nomargin pad-bottom-3">
					<?php foreach( $categories as $category ) : ?>
						<li class="post-tag">
							<a class="tag-link micro text-uppercase" href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>"><?php echo esc_html( $category->name ); ?></a>
						</li>
					<?php endforeach; ?>
				</ul>
			<?php endif; // End if categories ?>
		<?php endif; ?>

	</header>

	<?php $audio = hybrid_media_grabber( array( 'type' => 'audio', 'split_media' => true ) ); ?>
	<?php if ( $audio ) :  ?>
		<div class="wrapper-post wrapper-audio">
			<div class="post-media-content">
				<div class="audio-embed pad-top-2 pad-bottom-3 hover-fade">
					<?php echo $audio; ?>
				</div>
			</div>
		</div>
	<?php endif; ?>


	<?php the_title( sprintf( '<h2 class="post-title pad-bottom-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	<div class="wrapper-post wrapper-text">
		<div class="post-text">

			<?php the_excerpt(); ?>

			<p class="read_more_container"><a href="<?php the_permalink(); ?>" class="read_more"><?php esc_html_e( 'Keep reading', 'silver' ) ?></a></p>

		</div>
	</div>

	<div class="wrapper-meta-share row pad-bottom-5 pad-top">

		<div class="col-xs-12 col-lg-6">
			<div class="post-meta pad-top pad-bottom text-uppercase text-left muted micro meta">
				<?php silver_posted_on(); ?>
			</div>
		</div>

		<div class="col-xs-12 col-lg-6 right">
			<div class="post-share clearfix">
				<a href="<?php the_permalink(); ?>" class="btn-share btn-clear btn-more muted"><?php esc_html_e( 'Read more', 'silver' ); ?></a>
				<?php echo silver_do_likes(); ?>
			</div>
		</div>

	</div>

</article><!-- #post-## -->
