<?php
// Get the data set in customizer
$enable  = silver_mod( PREFIX . 'featured-enable' );
$tag     = silver_mod( PREFIX . 'featured-tag' );
$num     = silver_mod( PREFIX . 'featured-num' );
$orderby = silver_mod( PREFIX . 'featured-orderby' );

// Show on home page
if ( !is_home() ) {
	return;
}

// Disable the posts slider by user selected in the customizer
if ( !$enable ) {
	return;
}

// Posts query arguments.
$args = array(
	'posts_per_page' => $num,
	'post_type'      => 'post',
	'orderby'        => $orderby
);

// Include the tag.
if ( $tag ) {
	$args['tag_id'] = absint( $tag );
}

// Allow dev to filter the query.
$args = apply_filters( 'silver_featured_posts_args', $args );

// The post query
$featured = new WP_Query( $args );

if ( $featured->have_posts() ) : ?>
	<div class="wrapper-slider hp-only">
		<div class="slide-frame slider-collage container">
			<div class="slider slider-size">
				<ul class="rslides slides-container rslides1">

					<?php while ( $featured->have_posts() ) : $featured->the_post(); ?>

						<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' ); ?>

						<li style="display: block; float: none; position: absolute; opacity: 0; z-index: 1; transition: opacity 500ms ease-in-out;" class="slide slide-1 text-dark">
							<a href="<?php the_permalink(); ?>"><span style="background-image: url( '<?php echo esc_url( $image[0] ); ?>' ); background-size: cover;" class="slide-image"></span></a>
							<div class="slide-content">
								<h3 class="slide-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
								<div class="slide-text pad-bottom"><?php echo wp_trim_words( get_the_excerpt(), 10 ); ?></div>
								<p class="clearfix nomargin pad-top">
									<a href="<?php the_permalink(); ?>" class="slide-link btn-cta small text-uppercase"><?php esc_html_e( 'Read More', 'silver' ); ?></a>
								</p>
							</div>
						</li>

					<?php endwhile; ?>

				</ul>
			</div>
		</div>
	</div>
<?php endif; wp_reset_postdata(); ?>
